# MAKEFILE--
# Makefile for Doszip
#
!include ..\..\lib\srcpath

all: $(rot)\dz.dos dz.exe

dz.exe:
 $(rot)\asm -q -mz -I$(inc)\dos dz\dz.asm

{dz}.asm.obj:
 $(rot)\asm -q -I$(inc)\dos -D__DZ__ $<
objs=dzmain.obj cmattrib.obj cmcompar.obj cmcopy.obj cmdelete.obj cmedit.obj &
 cmexit.obj cmfilter.obj cmhelp.obj cmmemory.obj cmmkdir.obj cmmklist.obj &
 cmmkzip.obj cmmove.obj cmpanel.obj cmquicks.obj cmsubinf.obj cmview.obj &
 com.obj config.obj dzapi.obj dzmodal.obj ff.obj history.obj main.obj menus.obj &
 panel.obj prect.obj process.obj setup.obj shortkey.obj tools.obj

$(rot)\dz.dos: $(objs)
 wlink @<<
N $@
F { $(lib)\c0l $(objs) }
L $(lib)\cl.lib
OPtion NODefaultlibs
OPtion NOCaseexact
OPtion Map
OPtion Quiet
System DOS
<<
 copy $@ .
# upx  $@
 @del *.obj

